> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List OTA updates

> Retrieve a paginated list of over-the-air (OTA) update operations for your SIM cards.



## OpenAPI

````yaml /openapi/source/external/wireless/wireless.json get /ota_updates
openapi: 3.1.0
info:
  version: 2.0.0
  title: Telnyx API
  x-latency-category: responsive
  x-endpoint-cost: light
  description: SIP trunking, SMS, MMS, Call Control and Telephony Data Services.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
    description: Version 2.0.0 of the Telnyx API.
security:
  - bearerAuth: []
tags:
  - name: Wireless
    description: Wireless operations
  - name: SIM Cards
    description: SIM Cards operations
  - name: SIM Card Actions
    description: >-
      View SIM card actions, their progress and timestamps using the SIM Card
      Actions API
  - name: SIM Card Groups
    description: SIM Card Groups operations
  - name: SIM Card Group Actions
    description: SIM Card Group actions operations
  - name: SIM Card Orders
    description: SIM Card Orders operations
  - name: Reporting
    description: Wireless reporting operations
  - name: Wireless Regions
    description: Regions for wireless services
  - name: OTA updates
    description: OTA updates operations
  - name: Mobile Network Operators
    description: Mobile network operators operations
  - name: Private Wireless Gateways
    description: Private Wireless Gateways operations
  - name: Wireless Blocklists
    description: Wireless Blocklists operations
  - name: Traffic Policy Profiles
    description: Traffic Policy Profiles operations
paths:
  /ota_updates:
    get:
      tags:
        - OTA updates
      summary: List OTA updates
      description: >-
        Retrieve a paginated list of over-the-air (OTA) update operations for
        your SIM cards.
      operationId: ListOtaUpdates
      parameters:
        - $ref: '#/components/parameters/FilterOTAUpdatesConsolidated'
        - $ref: '#/components/parameters/PageConsolidated'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SimplifiedOTAUpdate'
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
        '401':
          description: Unauthorized
        default:
          $ref: '#/components/responses/GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const otaUpdateListResponse of client.otaUpdates.list())
            {
              console.log(otaUpdateListResponse.id);
            }
        - lang: Python
          source: |
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.ota_updates.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.OtaUpdates.List(context.TODO(), telnyx.OtaUpdateListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.otaupdates.OtaUpdateListPage;
            import com.telnyx.sdk.models.otaupdates.OtaUpdateListParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    OtaUpdateListPage page = client.otaUpdates().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.ota_updates.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->otaUpdates->list(
                filter: [
                  'simCardID' => 'sim_card_id',
                  'status' => 'in-progress',
                  'type' => 'sim_card_network_preferences',
                ],
                pageNumber: 0,
                pageSize: 0,
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx ota-updates list \
              --api-key 'My API Key'
components:
  parameters:
    FilterOTAUpdatesConsolidated:
      name: filter
      in: query
      explode: true
      description: >-
        Consolidated filter parameter for OTA updates (deepObject style).
        Originally: filter[status], filter[sim_card_id], filter[type]
      schema:
        type: object
        properties:
          status:
            type: string
            enum:
              - in-progress
              - completed
              - failed
            example: in-progress
            description: Filter by a specific status of the resource's lifecycle.
          sim_card_id:
            type: string
            description: The SIM card identification UUID.
          type:
            type: string
            enum:
              - sim_card_network_preferences
            example: sim_card_network_preferences
            description: Filter by type.
    PageConsolidated:
      name: page
      in: query
      explode: true
      description: >-
        Consolidated pagination parameter (deepObject style). Originally:
        page[number], page[size]
      schema:
        type: object
        properties:
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load.
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page.
  schemas:
    SimplifiedOTAUpdate:
      type: object
      title: OTAUpdate
      description: >-
        This object represents an Over the Air (OTA) update request. It allows
        tracking the current status of a operation that apply settings in a
        particular SIM card. <br/><br/>
      properties:
        id:
          type: string
          format: uuid
          description: Identifies the resource.
          readOnly: true
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        record_type:
          type: string
          example: ota_update
          readOnly: true
        sim_card_id:
          type: string
          format: uuid
          description: The identification UUID of the related SIM card resource.
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        type:
          type: string
          description: >-
            Represents the type of the operation requested. This will relate
            directly to the source of the request.
          enum:
            - sim_card_network_preferences
          example: sim_card_network_preferences
        status:
          type: string
          enum:
            - in-progress
            - completed
            - failed
          example: in-progress
        created_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            created.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            updated.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
      type: object
    Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  responses:
    GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Errors'
          examples:
            unexpectedError:
              summary: Unexpected API error
              value:
                errors:
                  - code: '10007'
                    title: Unexpected error
                    detail: An unexpected error occured.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````